
function check_application()
{
    app=$1

    version=`tr -d '\n\r ' < version`
    hotfix=`tr -d '\n\r ' < hotfix`
    major_new=`tr -d '\n\r ' < majorversion`
    log_msg "Installing V${major_new} ${app} build ${version} SR${hotfix}"

    if [ -f "/var/www/innovaphone/majorversion" ]; then
        major_old=`tr -d '\n\r ' < /var/www/innovaphone/majorversion`
        if [ "${major_old}" != "${major_new}" ]; then
            throw_error "V${major_new} ${app} cannot be installed on V${major_old} application platform"
        fi
    else
        throw_error "V${major_new} ${app} cannot be installed on V1!"
    fi

    ./check_platform.sh platform
    
    if [ -f "/var/www/innovaphone/apps/${app}.xml" ]; then
        throw_error "${app} is already installed. Install an incremental or cumulative hotfix instead!"
    fi

    image_hotfix=0
    if [ -f "/var/www/innovaphone/hotfix" ]; then
        image_hotfix=`tr -d '\n\r ' < /var/www/innovaphone/hotfix`
    fi
    if [ ${hotfix} -gt ${image_hotfix} ]; then
        throw_error "Install linux application platform SR${hotfix} first to install ${app} SR${hotfix}!"
    elif [ ${hotfix} -lt ${image_hotfix} ]; then
        throw_error "Install ${app} SR${image_hotfix}, as linux application SR${image_hotfix} is already installed!"
    fi

    if [[ $EUID -ne 0 ]]; then
        throw_error "This script must be run as root"
    fi
}